Vehicle Make
This API provides the list of car makes along with their unique make codes used for motor insurance quote processing.
Path Parameters
Specifies the lookup category. This API accepts only 'vehicle' as the value.
Type of vehicle (e.g., TW, Car)
vehicle make code
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
Unique request identifier.
List of errors if any.
data object
model object[]
List of available vehicle models.
Unique code representing the vehicle model.
Name/description of the vehicle model.
{
"reqId": "89635608-46df-4916-b70a-49d4df461726",
"errors": [],
"data": {
"model": [
{
"modelCode": "675",
"modelDesc": "Astor"
},
{
"modelCode": "721",
"modelDesc": "Comet"
},
{
"modelCode": "661",
"modelDesc": "Gloster"
},
{
"modelCode": "633",
"modelDesc": "Hector"
},
{
"modelCode": "746",
"modelDesc": "Windsor"
},
{
"modelCode": "685",
"modelDesc": "ZS EV"
}
]
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}